ReferenceWeb sources and crawling
Ask platform admins to allow a host pattern for this team (editors and above)
POST
/v1/teams/{team}/domain-requestsPath Parameters
team*string
Team slug or ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/teams/string/domain-requests" \ -H "Content-Type: application/json" \ -d '{ "pattern": "*.example.org", "reason": "stringstri" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "teamSlug": "string", "teamName": "string", "pattern": "string", "reason": "string", "status": "pending", "requestedBy": "d834780c-1e92-44d4-9ca3-e84824c5c502", "reviewedBy": "849e71dc-4e73-4d65-b54c-c7fc0faacffa", "requester": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayName": "string", "email": "string" }, "reviewer": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayName": "string", "email": "string" }, "reviewNote": "string", "reviewedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" }}